cURL
curl --request POST \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"description": "my team'\''s group",
"managed": true,
"name": "my group"
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups"
payload = {
"description": "my team's group",
"managed": True,
"name": "my group"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("POST", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups';
const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"description": "my team's group",
"managed": true,
"name": "my group"
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => '{"description":"my team\'s group","managed":true,"name":"my group"}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups"
payload := strings.NewReader(`{"description":"my team's group","managed":true,"name":"my group"}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"description\":\"my team's group\",\"managed\":true,\"name\":\"my group\"}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"description\":\"my team's group\",\"managed\":true,\"name\":\"my group\"}"
response = http.request(request)
puts response.read_body
{
"created_at": 123,
"created_by": "<string>",
"description": "<string>",
"id": "<string>",
"managed": true,
"name": "<string>",
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Groups
Create group
API endpoint to create a new user group in Blink.
POST
/
workspace
/
{ws_id}
/
table
/
sys_groups
cURL
curl --request POST \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"description": "my team'\''s group",
"managed": true,
"name": "my group"
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups"
payload = {
"description": "my team's group",
"managed": True,
"name": "my group"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("POST", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups';
const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"description": "my team's group",
"managed": true,
"name": "my group"
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => '{"description":"my team\'s group","managed":true,"name":"my group"}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups"
payload := strings.NewReader(`{"description":"my team's group","managed":true,"name":"my group"}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"description\":\"my team's group\",\"managed\":true,\"name\":\"my group\"}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/table/sys_groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"description\":\"my team's group\",\"managed\":true,\"name\":\"my group\"}"
response = http.request(request)
puts response.read_body
{
"created_at": 123,
"created_by": "<string>",
"description": "<string>",
"id": "<string>",
"managed": true,
"name": "<string>",
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Body
application/json
Group details
Was this page helpful?